<section class="container">
  

  <div class="card">
    <div class="card-header">
      <h1>Nueva Persona</h1>
    </div>
    <div class="card-body">
      <form @submit.prevent="createNewPerson">
        <InputField name="name" label="Nombre" placeholder="Nombre" @update:field="person.name = $event" :errors="this.errorsList" />
    
        <InputField name="lastname" label="Apellido Paterno" placeholder="Apellido Paterno" @update:field="person.lastname = $event" :errors="this.errorsList" />
    
        <InputField name="motherlastname" label="Apellido Materno" placeholder="Apellido Materno" @update:field="person.motherlastname = $event" :errors="this.errorsList" />
    
        <div class="form-group">
          <label for="gender">Género</label>
          <select type="text" id="gender" v-model="person.gender" class="form-control">
            <option value="M">Másculino</option>
            <option value="F">femenino</option>
          </select>
        </div>
    
        <div class="form-group">
          <label for="maritalstatus">Estado Civil</label>
          <select type="text" id="maritalstatus" v-model="person.maritalstatus" class="form-control">
            <option value="soltero">Soltero</option>
            <option value="Casado">Casado</option>
            <option value="Divorciado">Divorciado</option>
          </select>
        </div>
    
        <InputField name="birthdate" label="Fecha de Nacimiento" placeholder="Fecha de Nacimiento" @update:field="person.birthdate = $event" :errors="this.errorsList" />
    
        <InputField name="placebirth" label="Lugar de Nacimiento" placeholder="Lugar de Nacimiento" @update:field="person.placebirth = $event" :errors="this.errorsList" />
    
        <div class="form-group">
          <label for="typedocument">Tipo de Documento</label>
          <select type="text" id="typedocument" v-model="person.typedocument" class="form-control">
            <option value="DNI">DNI</option>
            <option value="PASAPORTE">Pasaporte</option>
          </select>
        </div>
    
        <InputField name="numberdocument" label="Número de Documento" placeholder="Número de Documento" @update:field="person.numberdocument = $event" :errors="this.errorsList" />
    
        <button type="submit" class="btn btn-success">Agregar Persona</button>
      </form>
    </div>
  </div>
</section>
